void setup()
{
  Table table = new Table();
  table.addColumn( "Name" );
  table.addColumn( "Municipality" );

  String[] lines = loadStrings(
  "ReservedStreetnames.txt" );
  for ( int idx = 0; idx < lines.length; ++idx ) {
    if ( lines[idx].startsWith( "-" ) ) {
      // Line starts with -, just skip it.
      continue;
    } else {
      // Extract the text between the vertical pipe
      // characters
      String[] boxes = splitTokens(
      lines[idx], "|" );
      // Use the trim() function to remove extra 
      // whitespace around every street name and 
      // municipality
      boxes = trim( boxes );

      // This needs to be a new table row.  But note
      // that the first "row" in the text file is a 
      // header for each column.  Let's catch that and
      // toss it out.
      if ( !boxes[0].equals( "FullStreetName" ) ) {
        TableRow row = table.addRow();
        row.setString( "Name", boxes[0] );
        row.setString( "Municipality", boxes[1] );
      }
    }
  }

  // We've filled up the table.  What do you want to do
  // with it?
  println( "Found " + table.getRowCount() + " records" );
}

